"""Songs table

Revision ID: e11049a47a28
Revises: 7605a04b4c38
Create Date: 2019-09-26 23:13:00.488583

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'e11049a47a28'
down_revision = '7605a04b4c38'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index('ix_song_name', table_name='song')
    op.create_index(op.f('ix_song_name'), 'song', ['name'], unique=False)
    op.drop_index('ix_song_artist', table_name='song')
    op.drop_index('ix_song_genre', table_name='song')
    op.drop_index('ix_song_image', table_name='song')
    op.drop_index('ix_song_language', table_name='song')
    op.drop_index('ix_song_year', table_name='song')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_index('ix_song_year', 'song', ['year'], unique=False)
    op.create_index('ix_song_language', 'song', ['language'], unique=1)
    op.create_index('ix_song_image', 'song', ['image'], unique=1)
    op.create_index('ix_song_genre', 'song', ['genre'], unique=1)
    op.create_index('ix_song_artist', 'song', ['artist'], unique=1)
    op.drop_index(op.f('ix_song_name'), table_name='song')
    op.create_index('ix_song_name', 'song', ['name'], unique=1)
    # ### end Alembic commands ###
